import { createClient, createConfig } from '@hey-api/client-fetch';

const client = createClient(createConfig({
  baseUrl: "https://run.lauf-fuer-kaya.de"
}));

const authControllerLogin = (options) => {
  return (options?.client ?? client).post({
    url: "/api/auth/login",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const authControllerLogout = (options) => {
  return (options?.client ?? client).post({
    url: "/api/auth/logout",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const authControllerRefresh = (options) => {
  return (options?.client ?? client).post({
    url: "/api/auth/refresh",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const authControllerGetResetToken = (options) => {
  return (options?.client ?? client).post({
    url: "/api/auth/reset",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const authControllerResetPassword = (options) => {
  return (options.client ?? client).post({
    url: "/api/auth/reset/{token}",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const donationControllerGetAll = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/donations",
    ...options
  });
};
const donationControllerRemove = (options) => {
  return (options.client ?? client).delete({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/donations/{id}",
    ...options
  });
};
const donationControllerGetOne = (options) => {
  return (options.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/donations/{id}",
    ...options
  });
};
const donationControllerPostFixed = (options) => {
  return (options?.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/donations/fixed",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const donationControllerPostDistance = (options) => {
  return (options?.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/donations/distance",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const donationControllerPutFixed = (options) => {
  return (options.client ?? client).put({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/donations/fixed/{id}",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const donationControllerPutDistance = (options) => {
  return (options.client ?? client).put({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/donations/distance/{id}",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const donorControllerGetAll = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/donors",
    ...options
  });
};
const donorControllerPost = (options) => {
  return (options?.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/donors",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const donorControllerRemove = (options) => {
  return (options.client ?? client).delete({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/donors/{id}",
    ...options
  });
};
const donorControllerGetOne = (options) => {
  return (options.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/donors/{id}",
    ...options
  });
};
const donorControllerPut = (options) => {
  return (options.client ?? client).put({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/donors/{id}",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const groupContactControllerGetAll = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/contacts",
    ...options
  });
};
const groupContactControllerPost = (options) => {
  return (options?.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/contacts",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const groupContactControllerRemove = (options) => {
  return (options.client ?? client).delete({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/contacts/{id}",
    ...options
  });
};
const groupContactControllerGetOne = (options) => {
  return (options.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/contacts/{id}",
    ...options
  });
};
const groupContactControllerPut = (options) => {
  return (options.client ?? client).put({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/contacts/{id}",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const scanControllerGetAll = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/scans",
    ...options
  });
};
const scanControllerPost = (options) => {
  return (options?.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      },
      {
        scheme: "bearer",
        type: "http"
      },
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/scans",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const scanControllerRemove = (options) => {
  return (options.client ?? client).delete({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/scans/{id}",
    ...options
  });
};
const scanControllerGetOne = (options) => {
  return (options.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/scans/{id}",
    ...options
  });
};
const scanControllerPut = (options) => {
  return (options.client ?? client).put({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/scans/{id}",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const scanControllerPostTrackScans = (options) => {
  return (options?.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      },
      {
        scheme: "bearer",
        type: "http"
      },
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/scans/trackscans",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const scanControllerPutTrackScan = (options) => {
  return (options.client ?? client).put({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/scans/trackscans/{id}",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const runnerCardControllerGetAll = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/cards",
    ...options
  });
};
const runnerCardControllerPost = (options) => {
  return (options?.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/cards",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const runnerCardControllerRemove = (options) => {
  return (options.client ?? client).delete({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/cards/{id}",
    ...options
  });
};
const runnerCardControllerGetOne = (options) => {
  return (options.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/cards/{id}",
    ...options
  });
};
const runnerCardControllerPut = (options) => {
  return (options.client ?? client).put({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/cards/{id}",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const runnerCardControllerPostBlancoBulk = (options) => {
  return (options?.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/cards/bulk",
    ...options
  });
};
const runnerControllerGetAll = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/runners",
    ...options
  });
};
const runnerControllerPost = (options) => {
  return (options?.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/runners",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const runnerControllerRemove = (options) => {
  return (options.client ?? client).delete({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/runners/{id}",
    ...options
  });
};
const runnerControllerGetOne = (options) => {
  return (options.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/runners/{id}",
    ...options
  });
};
const runnerControllerPut = (options) => {
  return (options.client ?? client).put({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/runners/{id}",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const runnerControllerGetScans = (options) => {
  return (options.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/runners/{id}/scans",
    ...options
  });
};
const importControllerPostJson = (options) => {
  return (options?.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/runners/import",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const importControllerPostOrgsJson = (options) => {
  return (options.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/organizations/{id}/import",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const importControllerPostTeamsJson = (options) => {
  return (options.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/teams/{id}/import",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const importControllerPostCsv = (options) => {
  return (options?.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/runners/import/csv",
    ...options
  });
};
const importControllerPostOrgsCsv = (options) => {
  return (options.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/organizations/{id}/import/csv",
    ...options
  });
};
const importControllerPostTeamsCsv = (options) => {
  return (options.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/teams/{id}/import/csv",
    ...options
  });
};
const permissionControllerGetAll = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/permissions",
    ...options
  });
};
const permissionControllerPost = (options) => {
  return (options?.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/permissions",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const permissionControllerRemove = (options) => {
  return (options.client ?? client).delete({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/permissions/{id}",
    ...options
  });
};
const permissionControllerGetOne = (options) => {
  return (options.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/permissions/{id}",
    ...options
  });
};
const permissionControllerPut = (options) => {
  return (options.client ?? client).put({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/permissions/{id}",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const meControllerRemove = (options) => {
  return (options?.client ?? client).delete({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/users/me/",
    ...options
  });
};
const meControllerGet = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/users/me/",
    ...options
  });
};
const meControllerPut = (options) => {
  return (options?.client ?? client).put({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/users/me/",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const meControllerGetPermissions = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/users/me/permissions",
    ...options
  });
};
const runnerTeamControllerGetAll = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/teams",
    ...options
  });
};
const runnerTeamControllerPost = (options) => {
  return (options?.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/teams",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const runnerTeamControllerRemove = (options) => {
  return (options.client ?? client).delete({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/teams/{id}",
    ...options
  });
};
const runnerTeamControllerGetOne = (options) => {
  return (options.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/teams/{id}",
    ...options
  });
};
const runnerTeamControllerPut = (options) => {
  return (options.client ?? client).put({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/teams/{id}",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const runnerTeamControllerGetRunners = (options) => {
  return (options.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/teams/{id}/runners",
    ...options
  });
};
const runnerOrganizationControllerGetAll = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/organizations",
    ...options
  });
};
const runnerOrganizationControllerPost = (options) => {
  return (options?.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/organizations",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const runnerOrganizationControllerRemove = (options) => {
  return (options.client ?? client).delete({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/organizations/{id}",
    ...options
  });
};
const runnerOrganizationControllerGetOne = (options) => {
  return (options.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/organizations/{id}",
    ...options
  });
};
const runnerOrganizationControllerPut = (options) => {
  return (options.client ?? client).put({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/organizations/{id}",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const runnerOrganizationControllerGetRunners = (options) => {
  return (options.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/organizations/{id}/runners",
    ...options
  });
};
const runnerSelfServiceControllerRemove = (options) => {
  return (options.client ?? client).delete({
    url: "/api/runners/me/{jwt}",
    ...options
  });
};
const runnerSelfServiceControllerGet = (options) => {
  return (options.client ?? client).get({
    url: "/api/runners/me/{jwt}",
    ...options
  });
};
const runnerSelfServiceControllerGetScans = (options) => {
  return (options.client ?? client).get({
    url: "/api/runners/me/{jwt}/scans",
    ...options
  });
};
const runnerSelfServiceControllerGetStationMe = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/stations/me",
    ...options
  });
};
const runnerSelfServiceControllerRequestNewToken = (options) => {
  return (options?.client ?? client).post({
    url: "/api/runners/login",
    ...options
  });
};
const runnerSelfServiceControllerRegisterRunner = (options) => {
  return (options?.client ?? client).post({
    url: "/api/runners/register",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const runnerSelfServiceControllerRegisterOrganizationRunner = (options) => {
  return (options.client ?? client).post({
    url: "/api/runners/register/{token}",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const runnerSelfServiceControllerGetSelfserviceOrg = (options) => {
  return (options.client ?? client).get({
    url: "/api/organizations/selfservice/{token}",
    ...options
  });
};
const scanStationControllerGetAll = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/stations",
    ...options
  });
};
const scanStationControllerPost = (options) => {
  return (options?.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/stations",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const scanStationControllerRemove = (options) => {
  return (options.client ?? client).delete({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/stations/{id}",
    ...options
  });
};
const scanStationControllerGetOne = (options) => {
  return (options.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/stations/{id}",
    ...options
  });
};
const scanStationControllerPut = (options) => {
  return (options.client ?? client).put({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/stations/{id}",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const statsClientControllerGetAll = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/statsclients",
    ...options
  });
};
const statsClientControllerPost = (options) => {
  return (options?.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/statsclients",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const statsClientControllerRemove = (options) => {
  return (options.client ?? client).delete({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/statsclients/{id}",
    ...options
  });
};
const statsClientControllerGetOne = (options) => {
  return (options.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/statsclients/{id}",
    ...options
  });
};
const statsControllerGet = (options) => {
  return (options?.client ?? client).get({
    url: "/api/stats",
    ...options
  });
};
const statsControllerGetTopRunnersByDistance = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      },
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/stats/runners/distance",
    ...options
  });
};
const statsControllerGetTopRunnersByDonations = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      },
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/stats/runners/donations",
    ...options
  });
};
const statsControllerGetTopRunnersByLaptime = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      },
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/stats/runners/laptime",
    ...options
  });
};
const statsControllerGetTopRunnersByTrackTime = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      },
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/stats/scans",
    ...options
  });
};
const statsControllerGetTopTeamsByDistance = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      },
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/stats/teams/distance",
    ...options
  });
};
const statsControllerGetTopTeamsByDonations = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      },
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/stats/teams/donations",
    ...options
  });
};
const statsControllerGetTopOrgsByDistance = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      },
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/stats/organizations/distance",
    ...options
  });
};
const statsControllerGetTopOrgsByDonations = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      },
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/stats/organizations/donations",
    ...options
  });
};
const statusControllerGet = (options) => {
  return (options?.client ?? client).get({
    url: "/api/status",
    ...options
  });
};
const statusControllerGetVersion = (options) => {
  return (options?.client ?? client).get({
    url: "/api/version",
    ...options
  });
};
const trackControllerGetAll = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/tracks",
    ...options
  });
};
const trackControllerPost = (options) => {
  return (options?.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/tracks",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const trackControllerRemove = (options) => {
  return (options.client ?? client).delete({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/tracks/{id}",
    ...options
  });
};
const trackControllerGetOne = (options) => {
  return (options.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/tracks/{id}",
    ...options
  });
};
const trackControllerPut = (options) => {
  return (options.client ?? client).put({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/tracks/{id}",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const userControllerGetAll = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/users",
    ...options
  });
};
const userControllerPost = (options) => {
  return (options?.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/users",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const userControllerRemove = (options) => {
  return (options.client ?? client).delete({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/users/{id}",
    ...options
  });
};
const userControllerGetOne = (options) => {
  return (options.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/users/{id}",
    ...options
  });
};
const userControllerPut = (options) => {
  return (options.client ?? client).put({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/users/{id}",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const userControllerGetPermissions = (options) => {
  return (options.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/users/{id}/permissions",
    ...options
  });
};
const userGroupControllerGetAll = (options) => {
  return (options?.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/usergroups",
    ...options
  });
};
const userGroupControllerPost = (options) => {
  return (options?.client ?? client).post({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/usergroups",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const userGroupControllerRemove = (options) => {
  return (options.client ?? client).delete({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/usergroups/{id}",
    ...options
  });
};
const userGroupControllerGetOne = (options) => {
  return (options.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/usergroups/{id}",
    ...options
  });
};
const userGroupControllerPut = (options) => {
  return (options.client ?? client).put({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/usergroups/{id}",
    ...options,
    headers: {
      "Content-Type": "application/json",
      ...options?.headers
    }
  });
};
const userGroupControllerGetPermissions = (options) => {
  return (options.client ?? client).get({
    security: [
      {
        scheme: "bearer",
        type: "http"
      }
    ],
    url: "/api/usergroups/{id}/permissions",
    ...options
  });
};

export { authControllerGetResetToken, authControllerLogin, authControllerLogout, authControllerRefresh, authControllerResetPassword, donationControllerGetAll, donationControllerGetOne, donationControllerPostDistance, donationControllerPostFixed, donationControllerPutDistance, donationControllerPutFixed, donationControllerRemove, donorControllerGetAll, donorControllerGetOne, donorControllerPost, donorControllerPut, donorControllerRemove, groupContactControllerGetAll, groupContactControllerGetOne, groupContactControllerPost, groupContactControllerPut, groupContactControllerRemove, importControllerPostCsv, importControllerPostJson, importControllerPostOrgsCsv, importControllerPostOrgsJson, importControllerPostTeamsCsv, importControllerPostTeamsJson, meControllerGet, meControllerGetPermissions, meControllerPut, meControllerRemove, permissionControllerGetAll, permissionControllerGetOne, permissionControllerPost, permissionControllerPut, permissionControllerRemove, runnerCardControllerGetAll, runnerCardControllerGetOne, runnerCardControllerPost, runnerCardControllerPostBlancoBulk, runnerCardControllerPut, runnerCardControllerRemove, runnerControllerGetAll, runnerControllerGetOne, runnerControllerGetScans, runnerControllerPost, runnerControllerPut, runnerControllerRemove, runnerOrganizationControllerGetAll, runnerOrganizationControllerGetOne, runnerOrganizationControllerGetRunners, runnerOrganizationControllerPost, runnerOrganizationControllerPut, runnerOrganizationControllerRemove, runnerSelfServiceControllerGet, runnerSelfServiceControllerGetScans, runnerSelfServiceControllerGetSelfserviceOrg, runnerSelfServiceControllerGetStationMe, runnerSelfServiceControllerRegisterOrganizationRunner, runnerSelfServiceControllerRegisterRunner, runnerSelfServiceControllerRemove, runnerSelfServiceControllerRequestNewToken, runnerTeamControllerGetAll, runnerTeamControllerGetOne, runnerTeamControllerGetRunners, runnerTeamControllerPost, runnerTeamControllerPut, runnerTeamControllerRemove, scanControllerGetAll, scanControllerGetOne, scanControllerPost, scanControllerPostTrackScans, scanControllerPut, scanControllerPutTrackScan, scanControllerRemove, scanStationControllerGetAll, scanStationControllerGetOne, scanStationControllerPost, scanStationControllerPut, scanStationControllerRemove, statsClientControllerGetAll, statsClientControllerGetOne, statsClientControllerPost, statsClientControllerRemove, statsControllerGet, statsControllerGetTopOrgsByDistance, statsControllerGetTopOrgsByDonations, statsControllerGetTopRunnersByDistance, statsControllerGetTopRunnersByDonations, statsControllerGetTopRunnersByLaptime, statsControllerGetTopRunnersByTrackTime, statsControllerGetTopTeamsByDistance, statsControllerGetTopTeamsByDonations, statusControllerGet, statusControllerGetVersion, trackControllerGetAll, trackControllerGetOne, trackControllerPost, trackControllerPut, trackControllerRemove, userControllerGetAll, userControllerGetOne, userControllerGetPermissions, userControllerPost, userControllerPut, userControllerRemove, userGroupControllerGetAll, userGroupControllerGetOne, userGroupControllerGetPermissions, userGroupControllerPost, userGroupControllerPut, userGroupControllerRemove };
