// This file is auto-generated by @hey-api/openapi-ts

export type ConfigFlag = {
    option: string;
    value: string;
};

export type AddressPostalCodeInvalidError = {
    name: string;
    message: string;
};

export type AddressFirstLineEmptyError = {
    name: string;
    message: string;
};

export type AddressPostalCodeEmptyError = {
    name: string;
    message: string;
};

export type AddressCityEmptyError = {
    name: string;
    message: string;
};

export type AddressCountryEmptyError = {
    name: string;
    message: string;
};

export type Address = {
    address1: string;
    address2: string;
    postalcode: string;
    city: string;
    country: string;
};

export type ResponseGroupContact = {
    id: number;
    firstname: string;
    middlename: string;
    lastname: string;
    phone: string;
    email: string;
    groups: {
        [key: string]: unknown;
    };
    address: {
        [key: string]: unknown;
    };
};

export type ResponseRunnerGroup = {
    id: number;
    name: string;
    contact?: {
        [key: string]: unknown;
    };
    total_distance?: number;
};

export type ResponseRunnerOrganization = {
    address?: {
        [key: string]: unknown;
    };
    teams: Array<unknown>;
    registrationKey?: string;
    registrationEnabled?: boolean;
    id: number;
    name: string;
    contact?: {
        [key: string]: unknown;
    };
    total_distance?: number;
};

export type GroupContact = {
    id: number;
    firstname: string;
    middlename?: string;
    lastname: string;
    phone?: string;
    email?: string;
};

export type ResponseParticipant = {
    id: number;
    firstname: string;
    middlename: string;
    lastname: string;
    phone: string;
    email: string;
    address?: {
        [key: string]: unknown;
    };
};

export type ResponseRunner = {
    distance: number;
    group: {
        [key: string]: unknown;
    };
    id: number;
    firstname: string;
    middlename: string;
    lastname: string;
    phone: string;
    email: string;
    address?: {
        [key: string]: unknown;
    };
};

export type ResponseDonor = {
    receiptNeeded: boolean;
    donationAmount: number;
    paidDonationAmount: number;
    id: number;
    firstname: string;
    middlename: string;
    lastname: string;
    phone: string;
    email: string;
    address?: {
        [key: string]: unknown;
    };
};

export type ResponseDonation = {
    id: number;
    donor: string;
    amount: number;
    paidAmount: number;
};

export type ResponseDistanceDonation = {
    runner: {
        [key: string]: unknown;
    };
    amountPerDistance: number;
    id: number;
    donor: string;
    amount: number;
    paidAmount: number;
};

export type Participant = {
    id: number;
    firstname: string;
    middlename?: string;
    lastname: string;
    phone?: string;
    email?: string;
};

export type Donor = {
    receiptNeeded: boolean;
    donationAmount: number;
    paidDonationAmount: number;
    id: number;
    firstname: string;
    middlename?: string;
    lastname: string;
    phone?: string;
    email?: string;
};

export type Donation = {
    id: number;
    donor: string;
    paidAmount: number;
};

export type DistanceDonation = {
    runner: string;
    amountPerDistance: number;
    id: number;
    donor: string;
    paidAmount: number;
};

export type RunnerCardNotFoundError = {
    name: string;
    message: string;
};

export type RunnerCardIdsNotMatchingError = {
    name: string;
    message: string;
};

export type RunnerCardHasScansError = {
    name: string;
    message: string;
};

export type RunnerCardIdOutOfRangeError = {
    name: string;
    message: string;
};

export type ResponseRunnerCard = {
    id: number;
    runner: {
        [key: string]: unknown;
    };
    code: string;
    enabled: boolean;
};

export type ResponseScan = {
    id: number;
    runner: string;
    valid: boolean;
    distance: number;
};

export type TrackNotFoundError = {
    name: string;
    message: string;
};

export type TrackIdsNotMatchingError = {
    name: string;
    message: string;
};

export type TrackLapTimeCantBeNegativeError = {
    name: string;
    message: string;
};

export type TrackHasScanStationsError = {
    name: string;
    message: string;
};

export type ResponseTrack = {
    id: number;
    name: string;
    distance: number;
    minimumLapTime?: number;
};

export type ResponseScanStation = {
    id: number;
    description?: string;
    key?: string;
    prefix: string;
    track: {
        [key: string]: unknown;
    };
    enabled: boolean;
};

export type ResponseTrackScan = {
    track: string;
    card: string;
    station: string;
    timestamp: string;
    lapTime: number;
    id: number;
    runner: string;
    valid: boolean;
    distance: number;
};

export type Scan = {
    id: number;
    runner: string;
    valid: boolean;
    _distance: number;
    distance: number;
};

export type Track = {
    id: number;
    name: string;
    distance: number;
    minimumLapTime?: number;
};

export type ScanStation = {
    id: number;
    description?: string;
    track: string;
    prefix: string;
    key: string;
    cleartextkey?: string;
    enabled: boolean;
};

export type TrackScan = {
    track: string;
    card: string;
    station: string;
    distance: number;
    timestamp: number;
    lapTime: number;
    id: number;
    runner: string;
    valid: boolean;
    _distance: number;
};

export type RunnerCard = {
    id: number;
    runner?: unknown;
    enabled: boolean;
};

export type Runner = {
    group: string;
    resetRequestedTimestamp?: string;
    distance: number;
    distanceDonationAmount: number;
    id: number;
    firstname: string;
    middlename?: string;
    lastname: string;
    phone?: string;
    email?: string;
};

export type RunnerGroup = {
    id: number;
    name: string;
    contact?: unknown;
    distance: number;
    distanceDonationAmount: number;
};

export type ResponseRunnerTeam = {
    parentGroup: {
        [key: string]: unknown;
    };
    id: number;
    name: string;
    contact?: {
        [key: string]: unknown;
    };
    total_distance?: number;
};

export type RunnerTeam = {
    parentGroup: string;
    id: number;
    name: string;
    contact?: unknown;
    distance: number;
    distanceDonationAmount: number;
};

export type RunnerOrganization = {
    address?: unknown;
    key?: string;
    distance: number;
    distanceDonationAmount: number;
    id: number;
    name: string;
    contact?: unknown;
};

export type GroupContactNotFoundError = {
    name: string;
    message: string;
};

export type GroupContactIdsNotMatchingError = {
    name: string;
    message: string;
};

export type CreateRunnerGroup = {
    name: string;
    contact?: number;
};

export type CreateRunnerOrganization = {
    address?: {
        [key: string]: unknown;
    };
    registrationEnabled?: boolean;
    name: string;
    contact?: number;
};

export type RunnerGroupNotFoundError = {
    name: string;
    message: string;
};

export type CreateGroupContact = {
    firstname: string;
    middlename?: string;
    lastname: string;
    address?: {
        [key: string]: unknown;
    };
    phone?: string;
    email?: string;
    groups?: unknown;
};

export type RunnerOrganizationNotFoundError = {
    name: string;
    message: string;
};

export type RunnerOrganizationIdsNotMatchingError = {
    name: string;
    message: string;
};

export type RunnerOrganizationHasRunnersError = {
    name: string;
    message: string;
};

export type RunnerOrganizationHasTeamsError = {
    name: string;
    message: string;
};

export type RunnerOrganizationWrongTypeError = {
    name: string;
    message: string;
};

export type RunnerTeamNotFoundError = {
    name: string;
    message: string;
};

export type RunnerTeamIdsNotMatchingError = {
    name: string;
    message: string;
};

export type RunnerTeamHasRunnersError = {
    name: string;
    message: string;
};

export type RunnerTeamNeedsParentError = {
    name: string;
    message: string;
};

export type CreateParticipant = {
    firstname: string;
    middlename?: string;
    lastname: string;
    phone?: string;
    email?: string;
    address?: {
        [key: string]: unknown;
    };
};

export type CreateRunner = {
    group: number;
    firstname: string;
    middlename?: string;
    lastname: string;
    phone?: string;
    email?: string;
    address?: {
        [key: string]: unknown;
    };
};

export type CreateRunnerTeam = {
    parentGroup: number;
    name: string;
    contact?: number;
};

export type PrincipalNotFoundError = {
    name: string;
    message: string;
};

export type PrincipalWrongTypeError = {
    name: string;
    message: string;
};

export type ResponsePrincipal = {
    id: number;
};

export type ResponsePermission = {
    id: number;
    principal: {
        [key: string]: unknown;
    };
    target: 'RUNNER' | 'ORGANIZATION' | 'TEAM' | 'TRACK' | 'USER' | 'USERGROUP' | 'PERMISSION' | 'STATSCLIENT' | 'DONOR' | 'SCAN' | 'STATION' | 'CARD' | 'DONATION' | 'CONTACT' | 'MAIL';
    action: 'GET' | 'CREATE' | 'UPDATE' | 'DELETE' | 'IMPORT';
};

export type Principal = {
    id: number;
};

export type Permission = {
    id: number;
    target: 'RUNNER' | 'ORGANIZATION' | 'TEAM' | 'TRACK' | 'USER' | 'USERGROUP' | 'PERMISSION' | 'STATSCLIENT' | 'DONOR' | 'SCAN' | 'STATION' | 'CARD' | 'DONATION' | 'CONTACT' | 'MAIL';
    action: 'GET' | 'CREATE' | 'UPDATE' | 'DELETE' | 'IMPORT';
};

export type CreatePermission = {
    principal: number;
    target: 'RUNNER' | 'ORGANIZATION' | 'TEAM' | 'TRACK' | 'USER' | 'USERGROUP' | 'PERMISSION' | 'STATSCLIENT' | 'DONOR' | 'SCAN' | 'STATION' | 'CARD' | 'DONATION' | 'CONTACT' | 'MAIL';
    action: 'GET' | 'CREATE' | 'UPDATE' | 'DELETE' | 'IMPORT';
};

export type ResponseUserGroup = {
    name: string;
    description?: string;
    permissions?: Array<unknown>;
    id: number;
};

export type UserGroup = {
    name: string;
    description?: string;
    id: number;
};

export type CreateUserGroup = {
    name: string;
    description?: string;
};

export type ResponseUser = {
    firstname: string;
    middlename: string;
    lastname: string;
    phone: string;
    email: string;
    username: string;
    enabled: boolean;
    profilePic: string;
    groups?: Array<unknown>;
    permissions?: Array<unknown>;
    id: number;
};

export type UserAction = {
    id: number;
    target: string;
    action: 'GET' | 'CREATE' | 'UPDATE' | 'DELETE' | 'IMPORT';
    changed?: string;
};

export type User = {
    uuid: string;
    email: string;
    phone?: string;
    username: string;
    firstname: string;
    middlename?: string;
    lastname: string;
    password: string;
    groups?: unknown;
    enabled: boolean;
    refreshTokenCount: number;
    profilePic: string;
    resetRequestedTimestamp?: string;
    actions?: unknown;
    id: number;
};

export type IllegalJwtError = {
    name: string;
    message: string;
};

export type UserNonexistantOrRefreshtokenInvalidError = {
    name: string;
    message: string;
};

export type InvalidCredentialsError = {
    name: string;
    message: string;
};

export type NoPermissionError = {
    name: string;
    message: string;
};

export type UsernameOrEmailNeededError = {
    name: string;
    message: string;
};

export type PasswordNeededError = {
    name: string;
    message: string;
};

export type UserNotFoundError = {
    name: string;
    message: string;
};

export type JwtNotProvidedError = {
    name: string;
    message: string;
};

export type UserNotFoundOrRefreshTokenCountInvalidError = {
    name: string;
    message: string;
};

export type RefreshTokenCountInvalidError = {
    name: string;
    message: string;
};

export type ResetAlreadyRequestedError = {
    name: string;
    message: string;
};

export type UserDisabledError = {
    name: string;
    message: string;
};

export type JwtUser = {
    id: number;
    uuid: string;
    email?: string;
    username?: string;
    firstname: string;
    middlename?: string;
    lastname: string;
    enabled: boolean;
    refreshTokenCount: number;
    profilePic?: string;
};

export type MailSendingError = {
    name: string;
    message: string;
};

export type UsernameContainsIllegalCharacterError = {
    name: string;
    message: string;
};

export type UserEmailNeededError = {
    name: string;
    message: string;
};

export type UserIdsNotMatchingError = {
    name: string;
    message: string;
};

export type UserDeletionNotConfirmedError = {
    name: string;
    message: string;
};

export type PasswordMustContainUppercaseLetterError = {
    name: string;
    message: string;
};

export type PasswordMustContainLowercaseLetterError = {
    name: string;
    message: string;
};

export type PasswordMustContainNumberError = {
    name: string;
    message: string;
};

export type PasswordTooShortError = {
    name: string;
    message: string;
};

export type ResponseAuth = {
    access_token: string;
    refresh_token: string;
    access_token_expires_at: number;
    refresh_token_expires_at: number;
};

export type CreateAuth = {
    username?: string;
    email?: string;
    password: string;
};

export type CreateResetToken = {
    email: string;
};

export type Logout = {
    timestamp: string;
};

export type HandleLogout = {
    token?: string;
};

export type RefreshAuth = {
    token?: string;
};

export type ResetPassword = {
    resetToken?: string;
    password: string;
};

export type ResponseEmpty = {
    response: string;
};

export type DonationNotFoundError = {
    name: string;
    message: string;
};

export type DonationIdsNotMatchingError = {
    name: string;
    message: string;
};

export type DonorNotFoundError = {
    name: string;
    message: string;
};

export type DonorIdsNotMatchingError = {
    name: string;
    message: string;
};

export type DonorReceiptAddressNeededError = {
    name: string;
    message: string;
};

export type DonorHasDonationsError = {
    name: string;
    message: string;
};

export type RunnerNotFoundError = {
    name: string;
    message: string;
};

export type RunnerIdsNotMatchingError = {
    name: string;
    message: string;
};

export type RunnerGroupNeededError = {
    name: string;
    message: string;
};

export type RunnerEmailNeededError = {
    name: string;
    message: string;
};

export type RunnerSelfserviceTimeoutError = {
    name: string;
    message: string;
};

export type RunnerHasDistanceDonationsError = {
    name: string;
    message: string;
};

export type CreateDonation = {
    donor: number;
    paidAmount?: number;
};

export type CreateDistanceDonation = {
    runner: number;
    amountPerDistance: number;
    donor: number;
    paidAmount?: number;
};

export type FixedDonation = {
    _amount: number;
    amount: number;
    id: number;
    donor: string;
    paidAmount: number;
};

export type CreateFixedDonation = {
    amount: number;
    donor: number;
    paidAmount?: number;
};

export type UpdateDonation = {
    id: number;
    donor: number;
    paidAmount?: number;
};

export type UpdateDistanceDonation = {
    runner: number;
    amountPerDistance: number;
    id: number;
    donor: number;
    paidAmount?: number;
};

export type UpdateFixedDonation = {
    amount: number;
    id: number;
    donor: number;
    paidAmount?: number;
};

export type CreateDonor = {
    receiptNeeded?: boolean;
    firstname: string;
    middlename?: string;
    lastname: string;
    phone?: string;
    email?: string;
    address?: {
        [key: string]: unknown;
    };
};

export type UpdateDonor = {
    id: number;
    receiptNeeded?: boolean;
    firstname: string;
    middlename?: string;
    lastname: string;
    phone?: string;
    email?: string;
    address?: {
        [key: string]: unknown;
    };
};

export type UpdateGroupContact = {
    id: number;
    firstname: string;
    middlename?: string;
    lastname: string;
    address?: {
        [key: string]: unknown;
    };
    phone?: string;
    email?: string;
    groups?: unknown;
};

export type ImportRunner = {
    firstname: string;
    middlename?: string;
    lastname: string;
    team?: string;
    class?: string;
};

export type UpdateRunner = {
    id: number;
    group: number;
    firstname: string;
    middlename?: string;
    lastname: string;
    phone?: string;
    email?: string;
    address?: {
        [key: string]: unknown;
    };
};

export type CreateRunnerCard = {
    runner?: number;
    enabled: boolean;
};

export type UpdateRunnerCard = {
    id: number;
    runner?: number;
    enabled: boolean;
};

export type ScanNotFoundError = {
    name: string;
    message: string;
};

export type ScanIdsNotMatchingError = {
    name: string;
    message: string;
};

export type ScanStationNotFoundError = {
    name: string;
    message: string;
};

export type ScanStationIdsNotMatchingError = {
    name: string;
    message: string;
};

export type ScanStationHasScansError = {
    name: string;
    message: string;
};

export type CreateScan = {
    runner: number;
    valid?: boolean;
    distance: number;
};

export type CreateTrackScan = {
    card: number;
    station?: number;
};

export type UpdateScan = {
    id: number;
    runner: number;
    valid?: boolean;
    distance: number;
};

export type UpdateTrackScan = {
    id: number;
    runner: number;
    valid?: boolean;
    track: number;
};

export type GroupNameNeededError = {
    name: string;
    message: string;
};

export type UserGroupNotFoundError = {
    name: string;
    message: string;
};

export type UserGroupIdsNotMatchingError = {
    name: string;
    message: string;
};

export type UpdateUser = {
    id: number;
    firstname: string;
    middlename?: string;
    lastname: string;
    username?: string;
    email: string;
    phone?: string;
    password?: string;
    enabled?: boolean;
    groups?: unknown;
    profilePic?: string;
};

export type ResponseUserPermissions = {
    directlyGranted?: Array<unknown>;
    inherited?: Array<unknown>;
};

export type PermissionNotFoundError = {
    name: string;
    message: string;
};

export type PermissionIdsNotMatchingError = {
    name: string;
    message: string;
};

export type PermissionNeedsPrincipalError = {
    name: string;
    message: string;
};

export type UpdatePermission = {
    id: number;
    principal: number;
    target: string;
    action: string;
};

export type UpdateRunnerOrganization = {
    id: number;
    address?: {
        [key: string]: unknown;
    };
    registrationEnabled?: boolean;
    name: string;
    contact?: number;
};

export type UpdateRunnerTeam = {
    id: number;
    parentGroup: number;
    name: string;
    contact?: number;
};

export type CreateSelfServiceCitizenRunner = {
    email?: string;
    firstname: string;
    middlename?: string;
    lastname: string;
    phone?: string;
    address?: {
        [key: string]: unknown;
    };
};

export type CreateSelfServiceRunner = {
    team?: number;
    firstname: string;
    middlename?: string;
    lastname: string;
    phone?: string;
    email?: string;
    address?: {
        [key: string]: unknown;
    };
};

export type ResponseSelfServiceTeam = {
    name: string;
    id: number;
};

export type ResponseSelfServiceOrganisation = {
    name: string;
    teams: Array<unknown>;
};

export type ResponseSelfServiceDonor = {
    id: number;
    firstname: string;
    middlename: string;
    lastname: string;
};

export type ResponseSelfServiceDonation = {
    donor: string;
    amount: number;
    amountPerDistance: number;
};

export type ResponseSelfServiceRunner = {
    distance: number;
    donationAmount: number;
    group: string;
    distanceDonations: string;
    token?: string;
    id: number;
    firstname: string;
    middlename: string;
    lastname: string;
    phone: string;
    email: string;
    address?: {
        [key: string]: unknown;
    };
};

export type ResponseSelfServiceScan = {
    id: number;
    valid: boolean;
    distance: number;
    lapTime: number;
};

export type CreateScanStation = {
    description?: string;
    track: number;
    enabled?: boolean;
};

export type UpdateScanStation = {
    id: number;
    description?: string;
    enabled?: boolean;
};

export type StatsClientNotFoundError = {
    name: string;
    message: string;
};

export type StatsClientIdsNotMatchingError = {
    name: string;
    message: string;
};

export type ResponseStatsClient = {
    id: number;
    description?: string;
    key?: string;
    prefix: string;
};

export type StatsClient = {
    id: number;
    description?: string;
    prefix: string;
    key: string;
    cleartextkey?: string;
};

export type CreateStatsClient = {
    description?: string;
};

export type ResponseStats = {
    total_runners: number;
    total_teams: number;
    total_orgs: number;
    total_users: number;
    total_scans: number;
    total_distance: number;
    total_donation: number;
    total_donations: number;
    total_donors: number;
    average_distance: number;
    average_donation: number;
};

export type ResponseStatsOrgnisation = {
    id: number;
    name: string;
    distance: number;
    donationAmount: number;
};

export type ResponseStatsRunner = {
    id: number;
    firstname: string;
    middlename: string;
    lastname: string;
    distance: number;
    donationAmount: number;
    minLaptime?: number;
    group: {
        [key: string]: unknown;
    };
};

export type ResponseStatsTeam = {
    id: number;
    name: string;
    distance: number;
    donationAmount: number;
    parent: {
        [key: string]: unknown;
    };
};

export type CreateTrack = {
    name: string;
    distance: number;
    minimumLapTime?: number;
};

export type UpdateTrack = {
    id: number;
    name: string;
    distance: number;
    minimumLapTime?: number;
};

export type CreateUser = {
    firstname: string;
    middlename?: string;
    lastname: string;
    username?: string;
    email: string;
    phone?: string;
    password: string;
    enabled?: boolean;
    groups?: unknown;
    profilePic?: string;
};

export type UpdateUserGroup = {
    id: number;
    name: string;
    description?: string;
};

export type ResponseUserGroupPermissions = {
    directlyGranted?: Array<unknown>;
    inherited?: Array<unknown>;
};

export type AuthControllerLoginData = {
    /**
     * CreateAuth
     */
    body?: CreateAuth;
    path?: never;
    query?: never;
    url: '/api/auth/login';
};

export type AuthControllerLoginResponses = {
    200: ResponseAuth | InvalidCredentialsError | UserNotFoundError | UsernameOrEmailNeededError | PasswordNeededError;
};

export type AuthControllerLoginResponse = AuthControllerLoginResponses[keyof AuthControllerLoginResponses];

export type AuthControllerLogoutData = {
    /**
     * HandleLogout
     */
    body?: HandleLogout;
    path?: never;
    query?: never;
    url: '/api/auth/logout';
};

export type AuthControllerLogoutResponses = {
    200: Logout | InvalidCredentialsError | UserNotFoundError | UsernameOrEmailNeededError | PasswordNeededError;
};

export type AuthControllerLogoutResponse = AuthControllerLogoutResponses[keyof AuthControllerLogoutResponses];

export type AuthControllerRefreshData = {
    /**
     * RefreshAuth
     */
    body?: RefreshAuth;
    path?: never;
    query?: never;
    url: '/api/auth/refresh';
};

export type AuthControllerRefreshResponses = {
    200: ResponseAuth | JwtNotProvidedError | IllegalJwtError | UserNotFoundError | RefreshTokenCountInvalidError;
};

export type AuthControllerRefreshResponse = AuthControllerRefreshResponses[keyof AuthControllerRefreshResponses];

export type AuthControllerGetResetTokenData = {
    /**
     * CreateResetToken
     */
    body?: CreateResetToken;
    path?: never;
    query?: {
        locale?: string;
    };
    url: '/api/auth/reset';
};

export type AuthControllerGetResetTokenErrors = {
    404: UserNotFoundError;
    406: UsernameOrEmailNeededError;
    500: MailSendingError;
};

export type AuthControllerGetResetTokenError = AuthControllerGetResetTokenErrors[keyof AuthControllerGetResetTokenErrors];

export type AuthControllerGetResetTokenResponses = {
    200: ResponseEmpty;
};

export type AuthControllerGetResetTokenResponse = AuthControllerGetResetTokenResponses[keyof AuthControllerGetResetTokenResponses];

export type AuthControllerResetPasswordData = {
    /**
     * ResetPassword
     */
    body?: ResetPassword;
    path: {
        token: string;
    };
    query?: never;
    url: '/api/auth/reset/{token}';
};

export type AuthControllerResetPasswordResponses = {
    200: ResponseAuth | UserNotFoundError | UsernameOrEmailNeededError;
};

export type AuthControllerResetPasswordResponse = AuthControllerResetPasswordResponses[keyof AuthControllerResetPasswordResponses];

export type DonationControllerGetAllData = {
    body?: never;
    path?: never;
    query?: {
        page?: number;
        page_size?: number;
    };
    url: '/api/donations';
};

export type DonationControllerGetAllResponses = {
    200: Array<ResponseDonation> | Array<ResponseDistanceDonation>;
};

export type DonationControllerGetAllResponse = DonationControllerGetAllResponses[keyof DonationControllerGetAllResponses];

export type DonationControllerRemoveData = {
    body?: never;
    path: {
        id: number;
    };
    query?: {
        force?: boolean;
    };
    url: '/api/donations/{id}';
};

export type DonationControllerRemoveResponses = {
    200: ResponseDonation | ResponseDistanceDonation;
    204: ResponseEmpty;
};

export type DonationControllerRemoveResponse = DonationControllerRemoveResponses[keyof DonationControllerRemoveResponses];

export type DonationControllerGetOneData = {
    body?: never;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/donations/{id}';
};

export type DonationControllerGetOneErrors = {
    404: DonationNotFoundError;
};

export type DonationControllerGetOneError = DonationControllerGetOneErrors[keyof DonationControllerGetOneErrors];

export type DonationControllerGetOneResponses = {
    200: ResponseDonation | ResponseDistanceDonation;
};

export type DonationControllerGetOneResponse = DonationControllerGetOneResponses[keyof DonationControllerGetOneResponses];

export type DonationControllerPostFixedData = {
    /**
     * CreateFixedDonation
     */
    body?: CreateFixedDonation;
    path?: never;
    query?: never;
    url: '/api/donations/fixed';
};

export type DonationControllerPostFixedErrors = {
    404: DonorNotFoundError;
};

export type DonationControllerPostFixedError = DonationControllerPostFixedErrors[keyof DonationControllerPostFixedErrors];

export type DonationControllerPostFixedResponses = {
    200: ResponseDonation;
};

export type DonationControllerPostFixedResponse = DonationControllerPostFixedResponses[keyof DonationControllerPostFixedResponses];

export type DonationControllerPostDistanceData = {
    /**
     * CreateDistanceDonation
     */
    body?: CreateDistanceDonation;
    path?: never;
    query?: never;
    url: '/api/donations/distance';
};

export type DonationControllerPostDistanceErrors = {
    404: DonorNotFoundError | RunnerNotFoundError;
};

export type DonationControllerPostDistanceError = DonationControllerPostDistanceErrors[keyof DonationControllerPostDistanceErrors];

export type DonationControllerPostDistanceResponses = {
    200: ResponseDistanceDonation;
};

export type DonationControllerPostDistanceResponse = DonationControllerPostDistanceResponses[keyof DonationControllerPostDistanceResponses];

export type DonationControllerPutFixedData = {
    /**
     * UpdateFixedDonation
     */
    body?: UpdateFixedDonation;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/donations/fixed/{id}';
};

export type DonationControllerPutFixedErrors = {
    404: DonationNotFoundError | DonorNotFoundError | RunnerNotFoundError;
    406: DonationIdsNotMatchingError;
};

export type DonationControllerPutFixedError = DonationControllerPutFixedErrors[keyof DonationControllerPutFixedErrors];

export type DonationControllerPutFixedResponses = {
    200: ResponseDonation;
};

export type DonationControllerPutFixedResponse = DonationControllerPutFixedResponses[keyof DonationControllerPutFixedResponses];

export type DonationControllerPutDistanceData = {
    /**
     * UpdateDistanceDonation
     */
    body?: UpdateDistanceDonation;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/donations/distance/{id}';
};

export type DonationControllerPutDistanceErrors = {
    404: DonationNotFoundError | DonorNotFoundError | RunnerNotFoundError;
    406: DonationIdsNotMatchingError;
};

export type DonationControllerPutDistanceError = DonationControllerPutDistanceErrors[keyof DonationControllerPutDistanceErrors];

export type DonationControllerPutDistanceResponses = {
    200: ResponseDonation;
};

export type DonationControllerPutDistanceResponse = DonationControllerPutDistanceResponses[keyof DonationControllerPutDistanceResponses];

export type DonorControllerGetAllData = {
    body?: never;
    path?: never;
    query?: {
        page?: number;
        page_size?: number;
    };
    url: '/api/donors';
};

export type DonorControllerGetAllResponses = {
    200: Array<ResponseDonor>;
};

export type DonorControllerGetAllResponse = DonorControllerGetAllResponses[keyof DonorControllerGetAllResponses];

export type DonorControllerPostData = {
    /**
     * CreateDonor
     */
    body?: CreateDonor;
    path?: never;
    query?: never;
    url: '/api/donors';
};

export type DonorControllerPostResponses = {
    200: ResponseDonor;
};

export type DonorControllerPostResponse = DonorControllerPostResponses[keyof DonorControllerPostResponses];

export type DonorControllerRemoveData = {
    body?: never;
    path: {
        id: number;
    };
    query?: {
        force?: boolean;
    };
    url: '/api/donors/{id}';
};

export type DonorControllerRemoveResponses = {
    200: ResponseDonor;
    204: ResponseEmpty;
};

export type DonorControllerRemoveResponse = DonorControllerRemoveResponses[keyof DonorControllerRemoveResponses];

export type DonorControllerGetOneData = {
    body?: never;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/donors/{id}';
};

export type DonorControllerGetOneErrors = {
    404: DonorNotFoundError;
};

export type DonorControllerGetOneError = DonorControllerGetOneErrors[keyof DonorControllerGetOneErrors];

export type DonorControllerGetOneResponses = {
    200: ResponseDonor;
};

export type DonorControllerGetOneResponse = DonorControllerGetOneResponses[keyof DonorControllerGetOneResponses];

export type DonorControllerPutData = {
    /**
     * UpdateDonor
     */
    body?: UpdateDonor;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/donors/{id}';
};

export type DonorControllerPutErrors = {
    404: DonorNotFoundError;
    406: DonorIdsNotMatchingError;
};

export type DonorControllerPutError = DonorControllerPutErrors[keyof DonorControllerPutErrors];

export type DonorControllerPutResponses = {
    200: ResponseDonor;
};

export type DonorControllerPutResponse = DonorControllerPutResponses[keyof DonorControllerPutResponses];

export type GroupContactControllerGetAllData = {
    body?: never;
    path?: never;
    query?: {
        page?: number;
        page_size?: number;
    };
    url: '/api/contacts';
};

export type GroupContactControllerGetAllResponses = {
    200: Array<ResponseGroupContact>;
};

export type GroupContactControllerGetAllResponse = GroupContactControllerGetAllResponses[keyof GroupContactControllerGetAllResponses];

export type GroupContactControllerPostData = {
    /**
     * CreateGroupContact
     */
    body?: CreateGroupContact;
    path?: never;
    query?: never;
    url: '/api/contacts';
};

export type GroupContactControllerPostErrors = {
    404: RunnerGroupNotFoundError;
};

export type GroupContactControllerPostError = GroupContactControllerPostErrors[keyof GroupContactControllerPostErrors];

export type GroupContactControllerPostResponses = {
    200: ResponseGroupContact;
};

export type GroupContactControllerPostResponse = GroupContactControllerPostResponses[keyof GroupContactControllerPostResponses];

export type GroupContactControllerRemoveData = {
    body?: never;
    path: {
        id: number;
    };
    query?: {
        force?: boolean;
    };
    url: '/api/contacts/{id}';
};

export type GroupContactControllerRemoveResponses = {
    200: ResponseGroupContact;
    204: ResponseEmpty;
};

export type GroupContactControllerRemoveResponse = GroupContactControllerRemoveResponses[keyof GroupContactControllerRemoveResponses];

export type GroupContactControllerGetOneData = {
    body?: never;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/contacts/{id}';
};

export type GroupContactControllerGetOneErrors = {
    404: GroupContactNotFoundError;
};

export type GroupContactControllerGetOneError = GroupContactControllerGetOneErrors[keyof GroupContactControllerGetOneErrors];

export type GroupContactControllerGetOneResponses = {
    200: ResponseGroupContact;
};

export type GroupContactControllerGetOneResponse = GroupContactControllerGetOneResponses[keyof GroupContactControllerGetOneResponses];

export type GroupContactControllerPutData = {
    /**
     * UpdateGroupContact
     */
    body?: UpdateGroupContact;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/contacts/{id}';
};

export type GroupContactControllerPutErrors = {
    404: GroupContactNotFoundError | RunnerGroupNotFoundError;
    406: GroupContactIdsNotMatchingError;
};

export type GroupContactControllerPutError = GroupContactControllerPutErrors[keyof GroupContactControllerPutErrors];

export type GroupContactControllerPutResponses = {
    200: ResponseGroupContact;
};

export type GroupContactControllerPutResponse = GroupContactControllerPutResponses[keyof GroupContactControllerPutResponses];

export type ScanControllerGetAllData = {
    body?: never;
    path?: never;
    query?: {
        page?: number;
        page_size?: number;
    };
    url: '/api/scans';
};

export type ScanControllerGetAllResponses = {
    200: Array<ResponseScan> | Array<ResponseTrackScan>;
};

export type ScanControllerGetAllResponse = ScanControllerGetAllResponses[keyof ScanControllerGetAllResponses];

export type ScanControllerPostData = {
    /**
     * CreateScan
     */
    body?: CreateScan;
    path?: never;
    query?: never;
    url: '/api/scans';
};

export type ScanControllerPostErrors = {
    404: RunnerNotFoundError;
};

export type ScanControllerPostError = ScanControllerPostErrors[keyof ScanControllerPostErrors];

export type ScanControllerPostResponses = {
    200: ResponseScan;
};

export type ScanControllerPostResponse = ScanControllerPostResponses[keyof ScanControllerPostResponses];

export type ScanControllerRemoveData = {
    body?: never;
    path: {
        id: number;
    };
    query?: {
        force?: boolean;
    };
    url: '/api/scans/{id}';
};

export type ScanControllerRemoveResponses = {
    200: ResponseScan;
    204: ResponseEmpty;
};

export type ScanControllerRemoveResponse = ScanControllerRemoveResponses[keyof ScanControllerRemoveResponses];

export type ScanControllerGetOneData = {
    body?: never;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/scans/{id}';
};

export type ScanControllerGetOneErrors = {
    404: ScanNotFoundError;
};

export type ScanControllerGetOneError = ScanControllerGetOneErrors[keyof ScanControllerGetOneErrors];

export type ScanControllerGetOneResponses = {
    200: ResponseScan | ResponseTrackScan;
};

export type ScanControllerGetOneResponse = ScanControllerGetOneResponses[keyof ScanControllerGetOneResponses];

export type ScanControllerPutData = {
    /**
     * UpdateScan
     */
    body?: UpdateScan;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/scans/{id}';
};

export type ScanControllerPutErrors = {
    404: ScanNotFoundError | RunnerNotFoundError;
    406: ScanIdsNotMatchingError;
};

export type ScanControllerPutError = ScanControllerPutErrors[keyof ScanControllerPutErrors];

export type ScanControllerPutResponses = {
    200: ResponseScan;
};

export type ScanControllerPutResponse = ScanControllerPutResponses[keyof ScanControllerPutResponses];

export type ScanControllerPostTrackScansData = {
    /**
     * CreateTrackScan
     */
    body?: CreateTrackScan;
    path?: never;
    query?: never;
    url: '/api/scans/trackscans';
};

export type ScanControllerPostTrackScansErrors = {
    404: RunnerNotFoundError;
};

export type ScanControllerPostTrackScansError = ScanControllerPostTrackScansErrors[keyof ScanControllerPostTrackScansErrors];

export type ScanControllerPostTrackScansResponses = {
    200: ResponseTrackScan;
};

export type ScanControllerPostTrackScansResponse = ScanControllerPostTrackScansResponses[keyof ScanControllerPostTrackScansResponses];

export type ScanControllerPutTrackScanData = {
    /**
     * UpdateTrackScan
     */
    body?: UpdateTrackScan;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/scans/trackscans/{id}';
};

export type ScanControllerPutTrackScanErrors = {
    404: ScanNotFoundError | RunnerNotFoundError | ScanStationNotFoundError;
    406: ScanIdsNotMatchingError;
};

export type ScanControllerPutTrackScanError = ScanControllerPutTrackScanErrors[keyof ScanControllerPutTrackScanErrors];

export type ScanControllerPutTrackScanResponses = {
    200: ResponseTrackScan;
};

export type ScanControllerPutTrackScanResponse = ScanControllerPutTrackScanResponses[keyof ScanControllerPutTrackScanResponses];

export type RunnerCardControllerGetAllData = {
    body?: never;
    path?: never;
    query?: {
        page?: number;
        page_size?: number;
    };
    url: '/api/cards';
};

export type RunnerCardControllerGetAllResponses = {
    200: Array<ResponseRunnerCard>;
};

export type RunnerCardControllerGetAllResponse = RunnerCardControllerGetAllResponses[keyof RunnerCardControllerGetAllResponses];

export type RunnerCardControllerPostData = {
    /**
     * CreateRunnerCard
     */
    body?: CreateRunnerCard;
    path?: never;
    query?: never;
    url: '/api/cards';
};

export type RunnerCardControllerPostErrors = {
    404: RunnerNotFoundError;
};

export type RunnerCardControllerPostError = RunnerCardControllerPostErrors[keyof RunnerCardControllerPostErrors];

export type RunnerCardControllerPostResponses = {
    200: ResponseRunnerCard;
};

export type RunnerCardControllerPostResponse = RunnerCardControllerPostResponses[keyof RunnerCardControllerPostResponses];

export type RunnerCardControllerRemoveData = {
    body?: never;
    path: {
        id: number;
    };
    query?: {
        force?: boolean;
    };
    url: '/api/cards/{id}';
};

export type RunnerCardControllerRemoveErrors = {
    406: RunnerCardHasScansError;
};

export type RunnerCardControllerRemoveError = RunnerCardControllerRemoveErrors[keyof RunnerCardControllerRemoveErrors];

export type RunnerCardControllerRemoveResponses = {
    200: ResponseRunnerCard;
    204: ResponseEmpty;
};

export type RunnerCardControllerRemoveResponse = RunnerCardControllerRemoveResponses[keyof RunnerCardControllerRemoveResponses];

export type RunnerCardControllerGetOneData = {
    body?: never;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/cards/{id}';
};

export type RunnerCardControllerGetOneErrors = {
    404: RunnerCardNotFoundError;
};

export type RunnerCardControllerGetOneError = RunnerCardControllerGetOneErrors[keyof RunnerCardControllerGetOneErrors];

export type RunnerCardControllerGetOneResponses = {
    200: ResponseRunnerCard;
};

export type RunnerCardControllerGetOneResponse = RunnerCardControllerGetOneResponses[keyof RunnerCardControllerGetOneResponses];

export type RunnerCardControllerPutData = {
    /**
     * UpdateRunnerCard
     */
    body?: UpdateRunnerCard;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/cards/{id}';
};

export type RunnerCardControllerPutErrors = {
    404: RunnerCardNotFoundError | RunnerNotFoundError;
    406: RunnerCardIdsNotMatchingError;
};

export type RunnerCardControllerPutError = RunnerCardControllerPutErrors[keyof RunnerCardControllerPutErrors];

export type RunnerCardControllerPutResponses = {
    200: ResponseRunnerCard;
};

export type RunnerCardControllerPutResponse = RunnerCardControllerPutResponses[keyof RunnerCardControllerPutResponses];

export type RunnerCardControllerPostBlancoBulkData = {
    body?: never;
    path?: never;
    query?: {
        count?: number;
        returnCards?: boolean;
    };
    url: '/api/cards/bulk';
};

export type RunnerCardControllerPostBlancoBulkResponses = {
    200: ResponseEmpty;
};

export type RunnerCardControllerPostBlancoBulkResponse = RunnerCardControllerPostBlancoBulkResponses[keyof RunnerCardControllerPostBlancoBulkResponses];

export type RunnerControllerGetAllData = {
    body?: never;
    path?: never;
    query?: {
        page?: number;
        page_size?: number;
    };
    url: '/api/runners';
};

export type RunnerControllerGetAllResponses = {
    200: Array<ResponseRunner>;
};

export type RunnerControllerGetAllResponse = RunnerControllerGetAllResponses[keyof RunnerControllerGetAllResponses];

export type RunnerControllerPostData = {
    /**
     * CreateRunner
     */
    body?: CreateRunner;
    path?: never;
    query?: never;
    url: '/api/runners';
};

export type RunnerControllerPostResponses = {
    200: ResponseRunner | RunnerGroupNeededError | RunnerGroupNotFoundError;
};

export type RunnerControllerPostResponse = RunnerControllerPostResponses[keyof RunnerControllerPostResponses];

export type RunnerControllerRemoveData = {
    body?: never;
    path: {
        id: number;
    };
    query?: {
        force?: boolean;
    };
    url: '/api/runners/{id}';
};

export type RunnerControllerRemoveErrors = {
    406: RunnerHasDistanceDonationsError;
};

export type RunnerControllerRemoveError = RunnerControllerRemoveErrors[keyof RunnerControllerRemoveErrors];

export type RunnerControllerRemoveResponses = {
    200: ResponseRunner;
    204: ResponseEmpty;
};

export type RunnerControllerRemoveResponse = RunnerControllerRemoveResponses[keyof RunnerControllerRemoveResponses];

export type RunnerControllerGetOneData = {
    body?: never;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/runners/{id}';
};

export type RunnerControllerGetOneErrors = {
    404: RunnerNotFoundError;
};

export type RunnerControllerGetOneError = RunnerControllerGetOneErrors[keyof RunnerControllerGetOneErrors];

export type RunnerControllerGetOneResponses = {
    200: ResponseRunner;
};

export type RunnerControllerGetOneResponse = RunnerControllerGetOneResponses[keyof RunnerControllerGetOneResponses];

export type RunnerControllerPutData = {
    /**
     * UpdateRunner
     */
    body?: UpdateRunner;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/runners/{id}';
};

export type RunnerControllerPutErrors = {
    404: RunnerNotFoundError;
    406: RunnerIdsNotMatchingError;
};

export type RunnerControllerPutError = RunnerControllerPutErrors[keyof RunnerControllerPutErrors];

export type RunnerControllerPutResponses = {
    200: ResponseRunner;
};

export type RunnerControllerPutResponse = RunnerControllerPutResponses[keyof RunnerControllerPutResponses];

export type RunnerControllerGetScansData = {
    body?: never;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/runners/{id}/scans';
};

export type RunnerControllerGetScansErrors = {
    404: RunnerNotFoundError;
};

export type RunnerControllerGetScansError = RunnerControllerGetScansErrors[keyof RunnerControllerGetScansErrors];

export type RunnerControllerGetScansResponses = {
    200: Array<ResponseScan> | Array<ResponseTrackScan>;
};

export type RunnerControllerGetScansResponse = RunnerControllerGetScansResponses[keyof RunnerControllerGetScansResponses];

export type ImportControllerPostJsonData = {
    /**
     * ImportRunner
     */
    body?: Array<ImportRunner>;
    path?: never;
    query?: {
        group?: number;
    };
    url: '/api/runners/import';
};

export type ImportControllerPostJsonErrors = {
    404: RunnerGroupNotFoundError;
    406: RunnerGroupNeededError;
};

export type ImportControllerPostJsonError = ImportControllerPostJsonErrors[keyof ImportControllerPostJsonErrors];

export type ImportControllerPostJsonResponses = {
    200: Array<ResponseRunner>;
};

export type ImportControllerPostJsonResponse = ImportControllerPostJsonResponses[keyof ImportControllerPostJsonResponses];

export type ImportControllerPostOrgsJsonData = {
    /**
     * ImportRunner
     */
    body?: Array<ImportRunner>;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/organizations/{id}/import';
};

export type ImportControllerPostOrgsJsonErrors = {
    404: RunnerGroupNotFoundError;
    406: RunnerGroupNeededError;
};

export type ImportControllerPostOrgsJsonError = ImportControllerPostOrgsJsonErrors[keyof ImportControllerPostOrgsJsonErrors];

export type ImportControllerPostOrgsJsonResponses = {
    200: Array<ResponseRunner>;
};

export type ImportControllerPostOrgsJsonResponse = ImportControllerPostOrgsJsonResponses[keyof ImportControllerPostOrgsJsonResponses];

export type ImportControllerPostTeamsJsonData = {
    /**
     * ImportRunner
     */
    body?: Array<ImportRunner>;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/teams/{id}/import';
};

export type ImportControllerPostTeamsJsonErrors = {
    404: RunnerGroupNotFoundError;
    406: RunnerGroupNeededError;
};

export type ImportControllerPostTeamsJsonError = ImportControllerPostTeamsJsonErrors[keyof ImportControllerPostTeamsJsonErrors];

export type ImportControllerPostTeamsJsonResponses = {
    200: Array<ResponseRunner>;
};

export type ImportControllerPostTeamsJsonResponse = ImportControllerPostTeamsJsonResponses[keyof ImportControllerPostTeamsJsonResponses];

export type ImportControllerPostCsvData = {
    body?: never;
    path?: never;
    query?: {
        group?: number;
    };
    url: '/api/runners/import/csv';
};

export type ImportControllerPostCsvErrors = {
    404: RunnerGroupNotFoundError;
    406: RunnerGroupNeededError;
};

export type ImportControllerPostCsvError = ImportControllerPostCsvErrors[keyof ImportControllerPostCsvErrors];

export type ImportControllerPostCsvResponses = {
    200: Array<ResponseRunner>;
};

export type ImportControllerPostCsvResponse = ImportControllerPostCsvResponses[keyof ImportControllerPostCsvResponses];

export type ImportControllerPostOrgsCsvData = {
    body?: never;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/organizations/{id}/import/csv';
};

export type ImportControllerPostOrgsCsvErrors = {
    404: RunnerGroupNotFoundError;
    406: RunnerGroupNeededError;
};

export type ImportControllerPostOrgsCsvError = ImportControllerPostOrgsCsvErrors[keyof ImportControllerPostOrgsCsvErrors];

export type ImportControllerPostOrgsCsvResponses = {
    200: Array<ResponseRunner>;
};

export type ImportControllerPostOrgsCsvResponse = ImportControllerPostOrgsCsvResponses[keyof ImportControllerPostOrgsCsvResponses];

export type ImportControllerPostTeamsCsvData = {
    body?: never;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/teams/{id}/import/csv';
};

export type ImportControllerPostTeamsCsvErrors = {
    404: RunnerGroupNotFoundError;
    406: RunnerGroupNeededError;
};

export type ImportControllerPostTeamsCsvError = ImportControllerPostTeamsCsvErrors[keyof ImportControllerPostTeamsCsvErrors];

export type ImportControllerPostTeamsCsvResponses = {
    200: Array<ResponseRunner>;
};

export type ImportControllerPostTeamsCsvResponse = ImportControllerPostTeamsCsvResponses[keyof ImportControllerPostTeamsCsvResponses];

export type PermissionControllerGetAllData = {
    body?: never;
    path?: never;
    query?: {
        page?: number;
        page_size?: number;
    };
    url: '/api/permissions';
};

export type PermissionControllerGetAllResponses = {
    200: Array<ResponsePermission>;
};

export type PermissionControllerGetAllResponse = PermissionControllerGetAllResponses[keyof PermissionControllerGetAllResponses];

export type PermissionControllerPostData = {
    /**
     * CreatePermission
     */
    body?: CreatePermission;
    path?: never;
    query?: never;
    url: '/api/permissions';
};

export type PermissionControllerPostErrors = {
    404: PrincipalNotFoundError;
};

export type PermissionControllerPostError = PermissionControllerPostErrors[keyof PermissionControllerPostErrors];

export type PermissionControllerPostResponses = {
    200: ResponsePermission;
};

export type PermissionControllerPostResponse = PermissionControllerPostResponses[keyof PermissionControllerPostResponses];

export type PermissionControllerRemoveData = {
    body?: never;
    path: {
        id: number;
    };
    query?: {
        force?: boolean;
    };
    url: '/api/permissions/{id}';
};

export type PermissionControllerRemoveResponses = {
    200: ResponsePermission;
    204: ResponseEmpty;
};

export type PermissionControllerRemoveResponse = PermissionControllerRemoveResponses[keyof PermissionControllerRemoveResponses];

export type PermissionControllerGetOneData = {
    body?: never;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/permissions/{id}';
};

export type PermissionControllerGetOneErrors = {
    404: PermissionNotFoundError;
};

export type PermissionControllerGetOneError = PermissionControllerGetOneErrors[keyof PermissionControllerGetOneErrors];

export type PermissionControllerGetOneResponses = {
    200: ResponsePermission;
};

export type PermissionControllerGetOneResponse = PermissionControllerGetOneResponses[keyof PermissionControllerGetOneResponses];

export type PermissionControllerPutData = {
    /**
     * UpdatePermission
     */
    body?: UpdatePermission;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/permissions/{id}';
};

export type PermissionControllerPutErrors = {
    404: PermissionNotFoundError | PrincipalNotFoundError;
    406: PermissionIdsNotMatchingError | PermissionNeedsPrincipalError;
};

export type PermissionControllerPutError = PermissionControllerPutErrors[keyof PermissionControllerPutErrors];

export type PermissionControllerPutResponses = {
    200: ResponsePrincipal;
};

export type PermissionControllerPutResponse = PermissionControllerPutResponses[keyof PermissionControllerPutResponses];

export type MeControllerRemoveData = {
    body?: never;
    path?: never;
    query?: {
        force?: boolean;
    };
    url: '/api/users/me/';
};

export type MeControllerRemoveErrors = {
    404: UserNotFoundError;
    406: UserDeletionNotConfirmedError;
};

export type MeControllerRemoveError = MeControllerRemoveErrors[keyof MeControllerRemoveErrors];

export type MeControllerRemoveResponses = {
    200: ResponseUser;
};

export type MeControllerRemoveResponse = MeControllerRemoveResponses[keyof MeControllerRemoveResponses];

export type MeControllerGetData = {
    body?: never;
    path?: never;
    query?: never;
    url: '/api/users/me/';
};

export type MeControllerGetErrors = {
    404: UserNotFoundError;
};

export type MeControllerGetError = MeControllerGetErrors[keyof MeControllerGetErrors];

export type MeControllerGetResponses = {
    200: ResponseUser;
};

export type MeControllerGetResponse = MeControllerGetResponses[keyof MeControllerGetResponses];

export type MeControllerPutData = {
    /**
     * UpdateUser
     */
    body?: UpdateUser;
    path?: never;
    query?: never;
    url: '/api/users/me/';
};

export type MeControllerPutErrors = {
    404: UserNotFoundError;
    406: UserIdsNotMatchingError | UsernameContainsIllegalCharacterError | PasswordMustContainUppercaseLetterError | PasswordMustContainLowercaseLetterError | PasswordMustContainNumberError | PasswordTooShortError;
};

export type MeControllerPutError = MeControllerPutErrors[keyof MeControllerPutErrors];

export type MeControllerPutResponses = {
    200: ResponseUser;
};

export type MeControllerPutResponse = MeControllerPutResponses[keyof MeControllerPutResponses];

export type MeControllerGetPermissionsData = {
    body?: never;
    path?: never;
    query?: never;
    url: '/api/users/me/permissions';
};

export type MeControllerGetPermissionsErrors = {
    404: UserNotFoundError;
};

export type MeControllerGetPermissionsError = MeControllerGetPermissionsErrors[keyof MeControllerGetPermissionsErrors];

export type MeControllerGetPermissionsResponses = {
    200: ResponseUserPermissions;
};

export type MeControllerGetPermissionsResponse = MeControllerGetPermissionsResponses[keyof MeControllerGetPermissionsResponses];

export type RunnerTeamControllerGetAllData = {
    body?: never;
    path?: never;
    query?: {
        page?: number;
        page_size?: number;
    };
    url: '/api/teams';
};

export type RunnerTeamControllerGetAllResponses = {
    200: Array<ResponseRunnerTeam>;
};

export type RunnerTeamControllerGetAllResponse = RunnerTeamControllerGetAllResponses[keyof RunnerTeamControllerGetAllResponses];

export type RunnerTeamControllerPostData = {
    /**
     * CreateRunnerTeam
     */
    body?: CreateRunnerTeam;
    path?: never;
    query?: never;
    url: '/api/teams';
};

export type RunnerTeamControllerPostResponses = {
    200: ResponseRunnerTeam;
};

export type RunnerTeamControllerPostResponse = RunnerTeamControllerPostResponses[keyof RunnerTeamControllerPostResponses];

export type RunnerTeamControllerRemoveData = {
    body?: never;
    path: {
        id: number;
    };
    query?: {
        force?: boolean;
    };
    url: '/api/teams/{id}';
};

export type RunnerTeamControllerRemoveErrors = {
    406: RunnerTeamHasRunnersError;
};

export type RunnerTeamControllerRemoveError = RunnerTeamControllerRemoveErrors[keyof RunnerTeamControllerRemoveErrors];

export type RunnerTeamControllerRemoveResponses = {
    200: ResponseRunnerTeam;
    204: ResponseEmpty;
};

export type RunnerTeamControllerRemoveResponse = RunnerTeamControllerRemoveResponses[keyof RunnerTeamControllerRemoveResponses];

export type RunnerTeamControllerGetOneData = {
    body?: never;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/teams/{id}';
};

export type RunnerTeamControllerGetOneErrors = {
    404: RunnerTeamNotFoundError;
};

export type RunnerTeamControllerGetOneError = RunnerTeamControllerGetOneErrors[keyof RunnerTeamControllerGetOneErrors];

export type RunnerTeamControllerGetOneResponses = {
    200: ResponseRunnerTeam;
};

export type RunnerTeamControllerGetOneResponse = RunnerTeamControllerGetOneResponses[keyof RunnerTeamControllerGetOneResponses];

export type RunnerTeamControllerPutData = {
    /**
     * UpdateRunnerTeam
     */
    body?: UpdateRunnerTeam;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/teams/{id}';
};

export type RunnerTeamControllerPutErrors = {
    404: RunnerTeamNotFoundError;
    406: RunnerTeamIdsNotMatchingError;
};

export type RunnerTeamControllerPutError = RunnerTeamControllerPutErrors[keyof RunnerTeamControllerPutErrors];

export type RunnerTeamControllerPutResponses = {
    200: ResponseRunnerTeam;
};

export type RunnerTeamControllerPutResponse = RunnerTeamControllerPutResponses[keyof RunnerTeamControllerPutResponses];

export type RunnerTeamControllerGetRunnersData = {
    body?: never;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/teams/{id}/runners';
};

export type RunnerTeamControllerGetRunnersErrors = {
    404: RunnerTeamNotFoundError;
};

export type RunnerTeamControllerGetRunnersError = RunnerTeamControllerGetRunnersErrors[keyof RunnerTeamControllerGetRunnersErrors];

export type RunnerTeamControllerGetRunnersResponses = {
    200: Array<ResponseRunner>;
};

export type RunnerTeamControllerGetRunnersResponse = RunnerTeamControllerGetRunnersResponses[keyof RunnerTeamControllerGetRunnersResponses];

export type RunnerOrganizationControllerGetAllData = {
    body?: never;
    path?: never;
    query?: {
        page?: number;
        page_size?: number;
    };
    url: '/api/organizations';
};

export type RunnerOrganizationControllerGetAllResponses = {
    200: Array<ResponseRunnerOrganization>;
};

export type RunnerOrganizationControllerGetAllResponse = RunnerOrganizationControllerGetAllResponses[keyof RunnerOrganizationControllerGetAllResponses];

export type RunnerOrganizationControllerPostData = {
    /**
     * CreateRunnerOrganization
     */
    body?: CreateRunnerOrganization;
    path?: never;
    query?: never;
    url: '/api/organizations';
};

export type RunnerOrganizationControllerPostResponses = {
    200: ResponseRunnerOrganization;
};

export type RunnerOrganizationControllerPostResponse = RunnerOrganizationControllerPostResponses[keyof RunnerOrganizationControllerPostResponses];

export type RunnerOrganizationControllerRemoveData = {
    body?: never;
    path: {
        id: number;
    };
    query?: {
        force?: boolean;
    };
    url: '/api/organizations/{id}';
};

export type RunnerOrganizationControllerRemoveErrors = {
    406: RunnerOrganizationHasTeamsError | RunnerOrganizationHasRunnersError;
};

export type RunnerOrganizationControllerRemoveError = RunnerOrganizationControllerRemoveErrors[keyof RunnerOrganizationControllerRemoveErrors];

export type RunnerOrganizationControllerRemoveResponses = {
    200: ResponseRunnerOrganization;
    204: ResponseEmpty;
};

export type RunnerOrganizationControllerRemoveResponse = RunnerOrganizationControllerRemoveResponses[keyof RunnerOrganizationControllerRemoveResponses];

export type RunnerOrganizationControllerGetOneData = {
    body?: never;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/organizations/{id}';
};

export type RunnerOrganizationControllerGetOneErrors = {
    404: RunnerOrganizationNotFoundError;
};

export type RunnerOrganizationControllerGetOneError = RunnerOrganizationControllerGetOneErrors[keyof RunnerOrganizationControllerGetOneErrors];

export type RunnerOrganizationControllerGetOneResponses = {
    200: ResponseRunnerOrganization;
};

export type RunnerOrganizationControllerGetOneResponse = RunnerOrganizationControllerGetOneResponses[keyof RunnerOrganizationControllerGetOneResponses];

export type RunnerOrganizationControllerPutData = {
    /**
     * UpdateRunnerOrganization
     */
    body?: UpdateRunnerOrganization;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/organizations/{id}';
};

export type RunnerOrganizationControllerPutErrors = {
    404: RunnerOrganizationNotFoundError;
    406: RunnerOrganizationIdsNotMatchingError;
};

export type RunnerOrganizationControllerPutError = RunnerOrganizationControllerPutErrors[keyof RunnerOrganizationControllerPutErrors];

export type RunnerOrganizationControllerPutResponses = {
    200: ResponseRunnerOrganization;
};

export type RunnerOrganizationControllerPutResponse = RunnerOrganizationControllerPutResponses[keyof RunnerOrganizationControllerPutResponses];

export type RunnerOrganizationControllerGetRunnersData = {
    body?: never;
    path: {
        id: number;
    };
    query?: {
        onlyDirect?: boolean;
    };
    url: '/api/organizations/{id}/runners';
};

export type RunnerOrganizationControllerGetRunnersErrors = {
    404: RunnerOrganizationNotFoundError;
};

export type RunnerOrganizationControllerGetRunnersError = RunnerOrganizationControllerGetRunnersErrors[keyof RunnerOrganizationControllerGetRunnersErrors];

export type RunnerOrganizationControllerGetRunnersResponses = {
    200: Array<ResponseRunner>;
};

export type RunnerOrganizationControllerGetRunnersResponse = RunnerOrganizationControllerGetRunnersResponses[keyof RunnerOrganizationControllerGetRunnersResponses];

export type RunnerSelfServiceControllerRemoveData = {
    body?: never;
    path: {
        jwt: string;
    };
    query?: {
        force?: boolean;
    };
    url: '/api/runners/me/{jwt}';
};

export type RunnerSelfServiceControllerRemoveErrors = {
    404: RunnerNotFoundError;
};

export type RunnerSelfServiceControllerRemoveError = RunnerSelfServiceControllerRemoveErrors[keyof RunnerSelfServiceControllerRemoveErrors];

export type RunnerSelfServiceControllerRemoveResponses = {
    200: ResponseSelfServiceRunner;
};

export type RunnerSelfServiceControllerRemoveResponse = RunnerSelfServiceControllerRemoveResponses[keyof RunnerSelfServiceControllerRemoveResponses];

export type RunnerSelfServiceControllerGetData = {
    body?: never;
    path: {
        jwt: string;
    };
    query?: never;
    url: '/api/runners/me/{jwt}';
};

export type RunnerSelfServiceControllerGetErrors = {
    404: RunnerNotFoundError;
};

export type RunnerSelfServiceControllerGetError = RunnerSelfServiceControllerGetErrors[keyof RunnerSelfServiceControllerGetErrors];

export type RunnerSelfServiceControllerGetResponses = {
    200: ResponseSelfServiceRunner;
};

export type RunnerSelfServiceControllerGetResponse = RunnerSelfServiceControllerGetResponses[keyof RunnerSelfServiceControllerGetResponses];

export type RunnerSelfServiceControllerGetScansData = {
    body?: never;
    path: {
        jwt: string;
    };
    query?: never;
    url: '/api/runners/me/{jwt}/scans';
};

export type RunnerSelfServiceControllerGetScansErrors = {
    404: RunnerNotFoundError;
};

export type RunnerSelfServiceControllerGetScansError = RunnerSelfServiceControllerGetScansErrors[keyof RunnerSelfServiceControllerGetScansErrors];

export type RunnerSelfServiceControllerGetScansResponses = {
    200: Array<ResponseSelfServiceScan>;
};

export type RunnerSelfServiceControllerGetScansResponse = RunnerSelfServiceControllerGetScansResponses[keyof RunnerSelfServiceControllerGetScansResponses];

export type RunnerSelfServiceControllerGetStationMeData = {
    body?: never;
    path?: never;
    query?: never;
    url: '/api/stations/me';
};

export type RunnerSelfServiceControllerGetStationMeErrors = {
    404: ScanStationNotFoundError;
};

export type RunnerSelfServiceControllerGetStationMeError = RunnerSelfServiceControllerGetStationMeErrors[keyof RunnerSelfServiceControllerGetStationMeErrors];

export type RunnerSelfServiceControllerGetStationMeResponses = {
    200: ResponseScanStation;
};

export type RunnerSelfServiceControllerGetStationMeResponse = RunnerSelfServiceControllerGetStationMeResponses[keyof RunnerSelfServiceControllerGetStationMeResponses];

export type RunnerSelfServiceControllerRequestNewTokenData = {
    body?: never;
    path?: never;
    query?: {
        mail?: string;
        locale?: string;
    };
    url: '/api/runners/login';
};

export type RunnerSelfServiceControllerRequestNewTokenErrors = {
    404: RunnerNotFoundError;
};

export type RunnerSelfServiceControllerRequestNewTokenError = RunnerSelfServiceControllerRequestNewTokenErrors[keyof RunnerSelfServiceControllerRequestNewTokenErrors];

export type RunnerSelfServiceControllerRequestNewTokenResponses = {
    /**
     * Successful response
     */
    200: unknown;
};

export type RunnerSelfServiceControllerRegisterRunnerData = {
    /**
     * CreateSelfServiceCitizenRunner
     */
    body?: CreateSelfServiceCitizenRunner;
    path?: never;
    query?: {
        locale?: string;
    };
    url: '/api/runners/register';
};

export type RunnerSelfServiceControllerRegisterRunnerErrors = {
    406: RunnerEmailNeededError;
};

export type RunnerSelfServiceControllerRegisterRunnerError = RunnerSelfServiceControllerRegisterRunnerErrors[keyof RunnerSelfServiceControllerRegisterRunnerErrors];

export type RunnerSelfServiceControllerRegisterRunnerResponses = {
    200: ResponseSelfServiceRunner;
};

export type RunnerSelfServiceControllerRegisterRunnerResponse = RunnerSelfServiceControllerRegisterRunnerResponses[keyof RunnerSelfServiceControllerRegisterRunnerResponses];

export type RunnerSelfServiceControllerRegisterOrganizationRunnerData = {
    /**
     * CreateSelfServiceRunner
     */
    body?: CreateSelfServiceRunner;
    path: {
        token: string;
    };
    query?: {
        locale?: string;
    };
    url: '/api/runners/register/{token}';
};

export type RunnerSelfServiceControllerRegisterOrganizationRunnerErrors = {
    404: RunnerOrganizationNotFoundError;
};

export type RunnerSelfServiceControllerRegisterOrganizationRunnerError = RunnerSelfServiceControllerRegisterOrganizationRunnerErrors[keyof RunnerSelfServiceControllerRegisterOrganizationRunnerErrors];

export type RunnerSelfServiceControllerRegisterOrganizationRunnerResponses = {
    200: ResponseSelfServiceRunner;
};

export type RunnerSelfServiceControllerRegisterOrganizationRunnerResponse = RunnerSelfServiceControllerRegisterOrganizationRunnerResponses[keyof RunnerSelfServiceControllerRegisterOrganizationRunnerResponses];

export type RunnerSelfServiceControllerGetSelfserviceOrgData = {
    body?: never;
    path: {
        token: string;
    };
    query?: never;
    url: '/api/organizations/selfservice/{token}';
};

export type RunnerSelfServiceControllerGetSelfserviceOrgErrors = {
    404: RunnerOrganizationNotFoundError;
};

export type RunnerSelfServiceControllerGetSelfserviceOrgError = RunnerSelfServiceControllerGetSelfserviceOrgErrors[keyof RunnerSelfServiceControllerGetSelfserviceOrgErrors];

export type RunnerSelfServiceControllerGetSelfserviceOrgResponses = {
    200: ResponseSelfServiceOrganisation;
};

export type RunnerSelfServiceControllerGetSelfserviceOrgResponse = RunnerSelfServiceControllerGetSelfserviceOrgResponses[keyof RunnerSelfServiceControllerGetSelfserviceOrgResponses];

export type ScanStationControllerGetAllData = {
    body?: never;
    path?: never;
    query?: {
        page?: number;
        page_size?: number;
    };
    url: '/api/stations';
};

export type ScanStationControllerGetAllResponses = {
    200: Array<ResponseScanStation>;
};

export type ScanStationControllerGetAllResponse = ScanStationControllerGetAllResponses[keyof ScanStationControllerGetAllResponses];

export type ScanStationControllerPostData = {
    /**
     * CreateScanStation
     */
    body?: CreateScanStation;
    path?: never;
    query?: never;
    url: '/api/stations';
};

export type ScanStationControllerPostErrors = {
    404: TrackNotFoundError;
};

export type ScanStationControllerPostError = ScanStationControllerPostErrors[keyof ScanStationControllerPostErrors];

export type ScanStationControllerPostResponses = {
    200: ResponseScanStation;
};

export type ScanStationControllerPostResponse = ScanStationControllerPostResponses[keyof ScanStationControllerPostResponses];

export type ScanStationControllerRemoveData = {
    body?: never;
    path: {
        id: number;
    };
    query?: {
        force?: boolean;
    };
    url: '/api/stations/{id}';
};

export type ScanStationControllerRemoveErrors = {
    406: ScanStationHasScansError;
};

export type ScanStationControllerRemoveError = ScanStationControllerRemoveErrors[keyof ScanStationControllerRemoveErrors];

export type ScanStationControllerRemoveResponses = {
    200: ResponseScanStation;
    204: ResponseEmpty;
};

export type ScanStationControllerRemoveResponse = ScanStationControllerRemoveResponses[keyof ScanStationControllerRemoveResponses];

export type ScanStationControllerGetOneData = {
    body?: never;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/stations/{id}';
};

export type ScanStationControllerGetOneErrors = {
    404: ScanStationNotFoundError;
};

export type ScanStationControllerGetOneError = ScanStationControllerGetOneErrors[keyof ScanStationControllerGetOneErrors];

export type ScanStationControllerGetOneResponses = {
    200: ResponseScanStation;
};

export type ScanStationControllerGetOneResponse = ScanStationControllerGetOneResponses[keyof ScanStationControllerGetOneResponses];

export type ScanStationControllerPutData = {
    /**
     * UpdateScanStation
     */
    body?: UpdateScanStation;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/stations/{id}';
};

export type ScanStationControllerPutErrors = {
    404: ScanStationNotFoundError;
    406: ScanStationIdsNotMatchingError;
};

export type ScanStationControllerPutError = ScanStationControllerPutErrors[keyof ScanStationControllerPutErrors];

export type ScanStationControllerPutResponses = {
    200: ResponseScanStation;
};

export type ScanStationControllerPutResponse = ScanStationControllerPutResponses[keyof ScanStationControllerPutResponses];

export type StatsClientControllerGetAllData = {
    body?: never;
    path?: never;
    query?: {
        page?: number;
        page_size?: number;
    };
    url: '/api/statsclients';
};

export type StatsClientControllerGetAllResponses = {
    200: Array<ResponseStatsClient>;
};

export type StatsClientControllerGetAllResponse = StatsClientControllerGetAllResponses[keyof StatsClientControllerGetAllResponses];

export type StatsClientControllerPostData = {
    /**
     * CreateStatsClient
     */
    body?: CreateStatsClient;
    path?: never;
    query?: never;
    url: '/api/statsclients';
};

export type StatsClientControllerPostResponses = {
    200: ResponseStatsClient;
};

export type StatsClientControllerPostResponse = StatsClientControllerPostResponses[keyof StatsClientControllerPostResponses];

export type StatsClientControllerRemoveData = {
    body?: never;
    path: {
        id: number;
    };
    query?: {
        force?: boolean;
    };
    url: '/api/statsclients/{id}';
};

export type StatsClientControllerRemoveResponses = {
    200: ResponseStatsClient;
    204: ResponseEmpty;
};

export type StatsClientControllerRemoveResponse = StatsClientControllerRemoveResponses[keyof StatsClientControllerRemoveResponses];

export type StatsClientControllerGetOneData = {
    body?: never;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/statsclients/{id}';
};

export type StatsClientControllerGetOneErrors = {
    404: StatsClientNotFoundError;
};

export type StatsClientControllerGetOneError = StatsClientControllerGetOneErrors[keyof StatsClientControllerGetOneErrors];

export type StatsClientControllerGetOneResponses = {
    200: ResponseStatsClient;
};

export type StatsClientControllerGetOneResponse = StatsClientControllerGetOneResponses[keyof StatsClientControllerGetOneResponses];

export type StatsControllerGetData = {
    body?: never;
    path?: never;
    query?: never;
    url: '/api/stats';
};

export type StatsControllerGetResponses = {
    200: ResponseStats;
};

export type StatsControllerGetResponse = StatsControllerGetResponses[keyof StatsControllerGetResponses];

export type StatsControllerGetTopRunnersByDistanceData = {
    body?: never;
    path?: never;
    query?: never;
    url: '/api/stats/runners/distance';
};

export type StatsControllerGetTopRunnersByDistanceResponses = {
    200: Array<ResponseStatsRunner>;
};

export type StatsControllerGetTopRunnersByDistanceResponse = StatsControllerGetTopRunnersByDistanceResponses[keyof StatsControllerGetTopRunnersByDistanceResponses];

export type StatsControllerGetTopRunnersByDonationsData = {
    body?: never;
    path?: never;
    query?: never;
    url: '/api/stats/runners/donations';
};

export type StatsControllerGetTopRunnersByDonationsResponses = {
    200: Array<ResponseStatsRunner>;
};

export type StatsControllerGetTopRunnersByDonationsResponse = StatsControllerGetTopRunnersByDonationsResponses[keyof StatsControllerGetTopRunnersByDonationsResponses];

export type StatsControllerGetTopRunnersByLaptimeData = {
    body?: never;
    path?: never;
    query?: {
        track?: number;
    };
    url: '/api/stats/runners/laptime';
};

export type StatsControllerGetTopRunnersByLaptimeResponses = {
    200: Array<ResponseStatsRunner>;
};

export type StatsControllerGetTopRunnersByLaptimeResponse = StatsControllerGetTopRunnersByLaptimeResponses[keyof StatsControllerGetTopRunnersByLaptimeResponses];

export type StatsControllerGetTopRunnersByTrackTimeData = {
    body?: never;
    path?: never;
    query?: never;
    url: '/api/stats/scans';
};

export type StatsControllerGetTopRunnersByTrackTimeResponses = {
    200: Array<ResponseStatsRunner>;
};

export type StatsControllerGetTopRunnersByTrackTimeResponse = StatsControllerGetTopRunnersByTrackTimeResponses[keyof StatsControllerGetTopRunnersByTrackTimeResponses];

export type StatsControllerGetTopTeamsByDistanceData = {
    body?: never;
    path?: never;
    query?: never;
    url: '/api/stats/teams/distance';
};

export type StatsControllerGetTopTeamsByDistanceResponses = {
    200: Array<ResponseStatsTeam>;
};

export type StatsControllerGetTopTeamsByDistanceResponse = StatsControllerGetTopTeamsByDistanceResponses[keyof StatsControllerGetTopTeamsByDistanceResponses];

export type StatsControllerGetTopTeamsByDonationsData = {
    body?: never;
    path?: never;
    query?: never;
    url: '/api/stats/teams/donations';
};

export type StatsControllerGetTopTeamsByDonationsResponses = {
    200: Array<ResponseStatsTeam>;
};

export type StatsControllerGetTopTeamsByDonationsResponse = StatsControllerGetTopTeamsByDonationsResponses[keyof StatsControllerGetTopTeamsByDonationsResponses];

export type StatsControllerGetTopOrgsByDistanceData = {
    body?: never;
    path?: never;
    query?: never;
    url: '/api/stats/organizations/distance';
};

export type StatsControllerGetTopOrgsByDistanceResponses = {
    200: Array<ResponseStatsOrgnisation>;
};

export type StatsControllerGetTopOrgsByDistanceResponse = StatsControllerGetTopOrgsByDistanceResponses[keyof StatsControllerGetTopOrgsByDistanceResponses];

export type StatsControllerGetTopOrgsByDonationsData = {
    body?: never;
    path?: never;
    query?: never;
    url: '/api/stats/organizations/donations';
};

export type StatsControllerGetTopOrgsByDonationsResponses = {
    200: Array<ResponseStatsOrgnisation>;
};

export type StatsControllerGetTopOrgsByDonationsResponse = StatsControllerGetTopOrgsByDonationsResponses[keyof StatsControllerGetTopOrgsByDonationsResponses];

export type StatusControllerGetData = {
    body?: never;
    path?: never;
    query?: never;
    url: '/api/status';
};

export type StatusControllerGetResponses = {
    /**
     * Successful response
     */
    200: unknown;
};

export type StatusControllerGetVersionData = {
    body?: never;
    path?: never;
    query?: never;
    url: '/api/version';
};

export type StatusControllerGetVersionResponses = {
    /**
     * Successful response
     */
    200: unknown;
};

export type TrackControllerGetAllData = {
    body?: never;
    path?: never;
    query?: {
        page?: number;
        page_size?: number;
    };
    url: '/api/tracks';
};

export type TrackControllerGetAllResponses = {
    200: Array<ResponseTrack>;
};

export type TrackControllerGetAllResponse = TrackControllerGetAllResponses[keyof TrackControllerGetAllResponses];

export type TrackControllerPostData = {
    /**
     * CreateTrack
     */
    body?: CreateTrack;
    path?: never;
    query?: never;
    url: '/api/tracks';
};

export type TrackControllerPostErrors = {
    406: TrackLapTimeCantBeNegativeError;
};

export type TrackControllerPostError = TrackControllerPostErrors[keyof TrackControllerPostErrors];

export type TrackControllerPostResponses = {
    200: ResponseTrack;
};

export type TrackControllerPostResponse = TrackControllerPostResponses[keyof TrackControllerPostResponses];

export type TrackControllerRemoveData = {
    body?: never;
    path: {
        id: number;
    };
    query?: {
        force?: boolean;
    };
    url: '/api/tracks/{id}';
};

export type TrackControllerRemoveResponses = {
    200: ResponseTrack;
    204: ResponseEmpty;
};

export type TrackControllerRemoveResponse = TrackControllerRemoveResponses[keyof TrackControllerRemoveResponses];

export type TrackControllerGetOneData = {
    body?: never;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/tracks/{id}';
};

export type TrackControllerGetOneErrors = {
    404: TrackNotFoundError;
};

export type TrackControllerGetOneError = TrackControllerGetOneErrors[keyof TrackControllerGetOneErrors];

export type TrackControllerGetOneResponses = {
    200: ResponseTrack;
};

export type TrackControllerGetOneResponse = TrackControllerGetOneResponses[keyof TrackControllerGetOneResponses];

export type TrackControllerPutData = {
    /**
     * UpdateTrack
     */
    body?: UpdateTrack;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/tracks/{id}';
};

export type TrackControllerPutErrors = {
    404: TrackNotFoundError;
    406: TrackIdsNotMatchingError | TrackLapTimeCantBeNegativeError;
};

export type TrackControllerPutError = TrackControllerPutErrors[keyof TrackControllerPutErrors];

export type TrackControllerPutResponses = {
    200: ResponseTrack;
};

export type TrackControllerPutResponse = TrackControllerPutResponses[keyof TrackControllerPutResponses];

export type UserControllerGetAllData = {
    body?: never;
    path?: never;
    query?: {
        page?: number;
        page_size?: number;
    };
    url: '/api/users';
};

export type UserControllerGetAllResponses = {
    200: Array<ResponseUser>;
};

export type UserControllerGetAllResponse = UserControllerGetAllResponses[keyof UserControllerGetAllResponses];

export type UserControllerPostData = {
    /**
     * CreateUser
     */
    body?: CreateUser;
    path?: never;
    query?: never;
    url: '/api/users';
};

export type UserControllerPostErrors = {
    404: UserGroupNotFoundError;
    406: UsernameContainsIllegalCharacterError | PasswordMustContainUppercaseLetterError | PasswordMustContainLowercaseLetterError | PasswordMustContainNumberError | PasswordTooShortError;
};

export type UserControllerPostError = UserControllerPostErrors[keyof UserControllerPostErrors];

export type UserControllerPostResponses = {
    200: ResponseUser;
};

export type UserControllerPostResponse = UserControllerPostResponses[keyof UserControllerPostResponses];

export type UserControllerRemoveData = {
    body?: never;
    path: {
        id: number;
    };
    query?: {
        force?: boolean;
    };
    url: '/api/users/{id}';
};

export type UserControllerRemoveErrors = {
    406: UserDeletionNotConfirmedError;
};

export type UserControllerRemoveError = UserControllerRemoveErrors[keyof UserControllerRemoveErrors];

export type UserControllerRemoveResponses = {
    200: ResponseUser;
    204: ResponseEmpty;
};

export type UserControllerRemoveResponse = UserControllerRemoveResponses[keyof UserControllerRemoveResponses];

export type UserControllerGetOneData = {
    body?: never;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/users/{id}';
};

export type UserControllerGetOneErrors = {
    404: UserNotFoundError;
};

export type UserControllerGetOneError = UserControllerGetOneErrors[keyof UserControllerGetOneErrors];

export type UserControllerGetOneResponses = {
    200: ResponseUser;
};

export type UserControllerGetOneResponse = UserControllerGetOneResponses[keyof UserControllerGetOneResponses];

export type UserControllerPutData = {
    /**
     * UpdateUser
     */
    body?: UpdateUser;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/users/{id}';
};

export type UserControllerPutErrors = {
    404: UserNotFoundError;
    406: UserIdsNotMatchingError | UsernameContainsIllegalCharacterError | PasswordMustContainUppercaseLetterError | PasswordMustContainLowercaseLetterError | PasswordMustContainNumberError | PasswordTooShortError;
};

export type UserControllerPutError = UserControllerPutErrors[keyof UserControllerPutErrors];

export type UserControllerPutResponses = {
    200: ResponseUser;
};

export type UserControllerPutResponse = UserControllerPutResponses[keyof UserControllerPutResponses];

export type UserControllerGetPermissionsData = {
    body?: never;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/users/{id}/permissions';
};

export type UserControllerGetPermissionsErrors = {
    404: UserNotFoundError;
};

export type UserControllerGetPermissionsError = UserControllerGetPermissionsErrors[keyof UserControllerGetPermissionsErrors];

export type UserControllerGetPermissionsResponses = {
    200: ResponseUser;
};

export type UserControllerGetPermissionsResponse = UserControllerGetPermissionsResponses[keyof UserControllerGetPermissionsResponses];

export type UserGroupControllerGetAllData = {
    body?: never;
    path?: never;
    query?: {
        page?: number;
        page_size?: number;
    };
    url: '/api/usergroups';
};

export type UserGroupControllerGetAllResponses = {
    200: Array<ResponseUserGroup>;
};

export type UserGroupControllerGetAllResponse = UserGroupControllerGetAllResponses[keyof UserGroupControllerGetAllResponses];

export type UserGroupControllerPostData = {
    /**
     * CreateUserGroup
     */
    body?: CreateUserGroup;
    path?: never;
    query?: never;
    url: '/api/usergroups';
};

export type UserGroupControllerPostResponses = {
    200: UserGroup | UserGroupNotFoundError;
};

export type UserGroupControllerPostResponse = UserGroupControllerPostResponses[keyof UserGroupControllerPostResponses];

export type UserGroupControllerRemoveData = {
    body?: never;
    path: {
        id: number;
    };
    query?: {
        force?: boolean;
    };
    url: '/api/usergroups/{id}';
};

export type UserGroupControllerRemoveResponses = {
    200: ResponseUserGroup;
    204: ResponseEmpty;
};

export type UserGroupControllerRemoveResponse = UserGroupControllerRemoveResponses[keyof UserGroupControllerRemoveResponses];

export type UserGroupControllerGetOneData = {
    body?: never;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/usergroups/{id}';
};

export type UserGroupControllerGetOneErrors = {
    404: UserGroupNotFoundError;
};

export type UserGroupControllerGetOneError = UserGroupControllerGetOneErrors[keyof UserGroupControllerGetOneErrors];

export type UserGroupControllerGetOneResponses = {
    200: ResponseUserGroup;
};

export type UserGroupControllerGetOneResponse = UserGroupControllerGetOneResponses[keyof UserGroupControllerGetOneResponses];

export type UserGroupControllerPutData = {
    /**
     * UpdateUserGroup
     */
    body?: UpdateUserGroup;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/usergroups/{id}';
};

export type UserGroupControllerPutErrors = {
    404: UserGroupNotFoundError;
    406: UserGroupIdsNotMatchingError;
};

export type UserGroupControllerPutError = UserGroupControllerPutErrors[keyof UserGroupControllerPutErrors];

export type UserGroupControllerPutResponses = {
    200: UserGroup;
};

export type UserGroupControllerPutResponse = UserGroupControllerPutResponses[keyof UserGroupControllerPutResponses];

export type UserGroupControllerGetPermissionsData = {
    body?: never;
    path: {
        id: number;
    };
    query?: never;
    url: '/api/usergroups/{id}/permissions';
};

export type UserGroupControllerGetPermissionsErrors = {
    404: UserGroupNotFoundError;
};

export type UserGroupControllerGetPermissionsError = UserGroupControllerGetPermissionsErrors[keyof UserGroupControllerGetPermissionsErrors];

export type UserGroupControllerGetPermissionsResponses = {
    200: ResponseUserGroupPermissions;
};

export type UserGroupControllerGetPermissionsResponse = UserGroupControllerGetPermissionsResponses[keyof UserGroupControllerGetPermissionsResponses];

export type ClientOptions = {
    baseUrl: 'https://run.lauf-fuer-kaya.de' | (string & {});
};